﻿Copyright (c) (2017) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek TDS 520D,540D (1 yr) VER IEEE /9500/600+4Hd
DATE:                  2017-02-22 11:00:00
AUTHOR:                Fluke
REVISION:              $Revision: 18363 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       260
CONFIGURATION:         Datron 9500 (C5,S6)
CONFIGURATION:         Datron 9510 on channel 1
CONFIGURATION:         Datron 9510 on channel 2
CONFIGURATION:         Datron 9510 on channel 3
CONFIGURATION:         Datron 9510 on channel 4
=============================================================================
#
#  Procedure Author:
#        DAC, DFM, VY
#
#  Source:
#        TDS 500D, TDS 600C, TDS 500D & TDS 714L Digitizing Oscilloscopes
#        Service Manual, Part No. 071-0627-02
#
#  Additional Equipment Required:
#        Cable, coaxial, BNC(m) to test clips, 36" (Pomona 3787-C-36)
#        Cable, coaxial, BNC(m)-(m), 36"
#        Cable, coaxial, BNC(m)-(m), 12"
#        Dual Input Coupler (BNC)
#        50 Ohm Feedthrough (BNC)
#        BNC T(f-m-f) adapter
#        SMA T(f-m-f) adapter
#        Cable, 50 Ohm, SMA(m)-(m), 20", two sets
#        3 sets of SMA(f) to SMA(f), SMA(m) to BNC(f) adapter
#        2 sets SMA Short
#        BNC 90 ° female to male adapter
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  M9500                       CH1
  1.003  9500         500MH                        1V             LS    S  L
  1.004  M9500                       CH2
  1.005  9500         500MH                        1V             LS    S  L
  1.006  M9500                       CH3
  1.007  9500         500MH                        1V             LS    S  L
  1.008  M9500                       CH4
  1.009  9500         500MH                        1V             LS    S  L
  1.010  ENDIF

  1.011  ASK-   R   Q N              P                            F        V
# ASK+ K is required for measurement uncertainty.
  1.012  ASK+           K

# Verify MET/CAL version compatibility.
  1.013  MATH         @ReqMetCalVersion = "7.20x"
  1.014  CALL         Sub MET/CAL Version Check

  1.015  IF           NOT(@MetCalVersionOK)
  1.016  DISP         This procedure requires MET/CAL 7.20 SP1 (7.20x)
  1.016  DISP         or later.
  1.017  END
  1.018  ENDIF

  1.019  CALL         Sub Display Copyright
  1.020  CALL         Sub High Voltage Safety Warning
  1.021  CALL         Sub Select Failed Test Mode
  1.022  CALL         Sub Select Verification Method

  1.023  DISP         Ensure a minimum UUT warm-up time of at least
  1.023  DISP         20 minutes has been allowed to elapse, prior
  1.023  DISP         to beginning verification.

  1.024  HEAD         UUT IDENTIFICATION
  1.025  TARGET
  1.026  CALL         Sub TDS500/600/700 Setup IEEE
  1.027  IEEE2        *RST;DESE 61
  1.028  WAIT         -t 4 System Initializing ...

  1.029  MATH         @UUT_Manufacturer = "TEKTRONIX"
  1.030  MATH         @UUT_AssetNum     = UUT()

  1.031  IF           NOT(EMPTY(@UUT_AssetNum))
  1.032  MATH         @UUT_SerialNum = SN(@UUT_AssetNum)
  1.033  ENDIF

  1.034  CALL         Sub IEEE-488.2 Identification Query IEEE
  1.035  CALL         Sub IEEE-488.2 Identification Query Check Response
  1.036  JMPL         END                          @Abort

  1.037  HEAD         EQUIPMENT REQUIREMENTS
  1.038  OPBR         -z Do you want to review the list of additional
  1.038  OPBR         equipment and/or accessories required?

  1.039  IF           MEM1
  1.040  DISP         The following additional equipment and/or accessories
  1.040  DISP         are required:
  1.040  DISP         - Cable, coaxial, BNC(m) to test clips, 36"
  1.040  DISP         [32] (Pomona 3787-C-36 or equivalent)
  1.040  DISP         - Cable, coaxial, BNC(m)-(m)
  1.040  DISP         - BNC T(f-m-f) adapter
  1.040  DISP         - SMA(f) to SMA(f), SMA(m) to BNC(f) adapter, 3 sets
  1.040  DISP         - SMA T(f-m-f) adapter
  1.040  DISP         - Cable, 50 Ohm, 20", SMA(m)-(m), 2 sets
  1.040  DISP         - SMA Short, 2 sets
  1.040  DISP         - BNC 90 ° female to male adapter
  1.040  DISP         - Dual Input Coupler (BNC)
  1.040  DISP         - 50 Ohm Feedthrough (BNC)
  1.041  ENDIF

# NOTE: The execution order of this verification procedure has been optimized
# to minimize operator intervention, while retaining the correct sequence for
# reported test results.  For more information about the method used, refer
# to this application note, available at www.flukecal.com:
# Application Note 6001075: Preserving Results Order While Optimizing
# Execution Sequence in MET/CAL Procedures.

  1.042  CALL         Sub TDS500D Specifications
  1.043  CALL         Sub TDS500/600/700 Self-Test IEEE
  1.044  JMPL         END                          @Abort
  1.045  CALL         Sub TDS500/600/700 Sig Path Comp Cal IEEE
  1.046  JMPL         END                          @Abort

# Set the variable of the calibrator channel number for hookup setup.
  1.047  MATH         @SourceChanNum = 4

# Specify channel to test.
  1.048  MATH         @Chan = 1
  1.049  CALL         Sub TDS500D (1 yr) DC Offset IEEE
  1.050  MATH         @Chan = 2
  1.051  CALL         Sub TDS500D (1 yr) DC Offset IEEE
  1.052  MATH         @Chan = 3
  1.053  CALL         Sub TDS500D (1 yr) DC Offset IEEE
  1.054  MATH         @Chan = 4
  1.055  CALL         Sub TDS500D (1 yr) DC Offset IEEE

  1.056  MATH         @Chan = 1
  1.057  M9500                       CH1
  1.058  CALL         Sub TDS500D (1 yr) DCV Meas Acc IEEE /9500
  1.059  MATH         @Chan = 2
  1.060  M9500                       CH2
  1.061  CALL         Sub TDS500D (1 yr) DCV Meas Acc IEEE /9500
  1.062  MATH         @Chan = 3
  1.063  M9500                       CH3
  1.064  CALL         Sub TDS500D (1 yr) DCV Meas Acc IEEE /9500
  1.065  MATH         @Chan = 4
  1.066  M9500                       CH4
  1.067  CALL         Sub TDS500D (1 yr) DCV Meas Acc IEEE /9500

  1.068  MATH         @Chan = 1
  1.069  M9500                       CH1
  1.070  CALL         Sub TDS500D (1 yr) Bandwidth IEEE /9500/600
  1.071  MATH         @Chan = 2
  1.072  M9500                       CH2
  1.073  CALL         Sub TDS500D (1 yr) Bandwidth IEEE /9500/600
  1.074  MATH         @Chan = 3
  1.075  M9500                       CH3
  1.076  CALL         Sub TDS500D (1 yr) Bandwidth IEEE /9500/600
  1.077  MATH         @Chan = 4
  1.078  M9500                       CH4
  1.079  CALL         Sub TDS500D (1 yr) Bandwidth IEEE /9500/600
  1.080  JMPL         TIMEBASE_TRIGGER

  1.081  LABEL        DELAY_MATCH
  1.082  MATH         @Chan = 1
  1.083  M9500                       CH1
  1.084  CALL         Sub TDS500D (1 yr) Delay Match IEEE /9500
  1.085  JMPL         OUTPUT_SIGNAL

  1.086  LABEL        TIMEBASE_TRIGGER
  1.087  MATH         @Chan = 1
  1.088  M9500                       CH1
  1.089  CALL         Sub TDS500D (1 yr) Time Base IEEE /9500
  1.090  JMPL         TRIG_TIME_ACC

  1.091  LABEL        DELTA_TIME
  1.092  MATH         @Chan = 1
  1.093  M9500                       CH1
  1.094  CALL         Sub TDS500D (1 yr) Delta Time IEEE /9500
  1.095  MATH         @Chan = 2
  1.096  M9500                       CH1
  1.097  CALL         Sub TDS500D (1 yr) Delta Time IEEE /9500
  1.098  MATH         @Chan = 3
  1.099  M9500                       CH1
  1.100  CALL         Sub TDS500D (1 yr) Delta Time IEEE /9500
  1.101  MATH         @Chan = 4
  1.102  M9500                       CH1
  1.103  CALL         Sub TDS500D (1 yr) Delta Time IEEE /9500
  1.104  JMPL         END

  1.105  LABEL        TRIG_TIME_ACC
  1.106  CALL         Sub TDS500D (1 yr) Trig Time Acc IEEE /9500

  1.107  MATH         @Chan = 1
  1.108  M9500                       CH1
  1.109  CALL         Sub TDS500D (1 yr) Sens IEEE /9500/600
 # If desired, you can test the channel 2, 3, 4 trig sensitivity or skip them.
  1.110  OPBR         -z Each channel trig sensitivity test will take about
  1.110  OPBR         [V @OptChSensTime] minutes. You can skip the remaining
  1.110  OPBR         channels to save time, unless desired.
  1.110  OPBR
  1.110  OPBR         [NO]Do you want to test trig sensitivity of channel 2,
  1.110  OPBR         3, and 4?
  1.111  MATH         @TestCh234Sens = MEM1
  1.112  JMPL         MAIN_TRIG_SENS_CH2

  1.113  LABEL        AUX_TRIG_IN
  1.114  MATH         @Chan = 1
  1.115  M9500                       CH14
  1.116  CALL         Sub TDS500D (1 yr) Aux Trig In Sens IEEE /9500+2Hd
  1.117  JMPL         DELAY_MATCH

  1.118  LABEL        MAIN_TRIG_SENS_CH2

  1.119  IF           @TestCh234Sens
  1.120  MATH         Time = 3 * @OptChSensTime
  1.121  DISP         The next routine operator intervention occurs
  1.121  DISP         in approximately [V Time] minutes...
  1.122  MATH         @Chan = 2
  1.123  M9500                       CH2
  1.124  CALL         Sub TDS500D (1 yr) Sens IEEE /9500/600
  1.125  MATH         @Chan = 3
  1.126  M9500                       CH3
  1.127  CALL         Sub TDS500D (1 yr) Sens IEEE /9500/600
  1.128  MATH         @Chan = 4
  1.129  M9500                       CH4
  1.130  CALL         Sub TDS500D (1 yr) Sens IEEE /9500/600
  1.131  ENDIF

  1.132  JMPL         AUX_TRIG_IN

  1.133  LABEL        OUTPUT_SIGNAL
  1.134  M9500                       CH1
  1.135  CALL         Sub TDS500D (1 yr) Output Signal IEEE /9500
  1.136  M9500                       CH1
  1.137  CALL         Sub TDS500D (1 yr) Probe Comp IEEE /9500
  1.138  JMPL         DELTA_TIME

  1.139  LABEL        END
  1.140  IEEE2        *RST;DESE 61

  1.141  IF           @Abort
  1.142  HEAD         {V E R I F I C A T I O N   A B O R T E D !}
  1.143  ENDIF

  1.144  END
